Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id.factory.spi
Interface MutableIdentifierGeneratorFactory

All Superinterfaces:
  IdentifierGeneratorFactory, Serializable, Service

All Known Implementing Classes:
  DefaultIdentifierGeneratorFactory

    public interface MutableIdentifierGeneratorFactory

extends IdentifierGeneratorFactory, Service

Let people register strategies

Method Summary
`void` | `register(String strategy, Class generatorClass)`

Methods inherited from interface org.hibernate.id.factory.IdentifierGeneratorFactory
`createIdentifierGenerator, getDialect, getIdentifierGeneratorClass, setDialect`

Method Detail

### register

    void register(String strategy,
                  Class generatorClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.